Subject: Re: creeping thyme quest?

From: Marianne Ahrne <[email-masked]>
Date: 31 Mar 1995 09:00:24 GMT

I garden in middle Sweden, our last frost is as late as yours. I have
always sown thyme in situ, it is a hardy plant and native to this 
country, if rare. I do the same with garden varieties. I sow in May
for flowering the following year. (But the plants look nice also without
flowers.) It may be easier to establish plants with indoor sowing,
however, if you intend to walk on them.
 
Mix varieties if you can get a few different sorts. In my previous 
garden (or rather, patio) I had a mix of 3 shades of pink and purple 
creeping thyme between the paving stones, it looked very nice. Beware
of bees and wasps, though, if you walk barefoot!